Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Python
import requests url = "https://x.kupe.in/v1/agents/{agent_id}/test-runs/{run_id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://x.kupe.in/v1/agents/{agent_id}/test-runs/{run_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
curl --request GET \ --url https://x.kupe.in/v1/agents/{agent_id}/test-runs/{run_id} \ --header 'Authorization: Bearer <token>'
{ "id": "<string>", "agent_id": "<string>", "agent_version": 123, "run_name": "<string>", "multiplier": 123, "status": "<string>", "total_test_count": 123, "completed_test_count": 123, "created_at": "<string>", "started_at": "<string>", "finished_at": "<string>", "error": "<string>", "results": [ { "id": "<string>", "test_id": "<string>", "test_name": "<string>", "attempt_number": 123, "status": "<string>", "passed": true, "transcript": [ { "role": "<string>", "content": "<string>" } ], "tool_calls_made": [ { "name": "<string>", "args": {}, "mock_response": {} } ], "behavior_results": [ { "behavior": "<string>", "met": true, "evidence": "<string>" } ], "judge_reasoning": "<string>", "error": "<string>" } ] }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Project API key (sk-kupe-...) or a Supabase user JWT.
sk-kupe-...
Successful Response
Show child attributes